de.dhbwstuttgart.typeinference.assumptions

## Class ConstructorAssumption

- java.lang.Object
- - de.dhbwstuttgart.typeinference.assumptions.Assumption
  - - de.dhbwstuttgart.typeinference.assumptions.FieldAssumption
    - - de.dhbwstuttgart.typeinference.assumptions.MethodAssumption
      - - de.dhbwstuttgart.typeinference.assumptions.ConstructorAssumption

    public class ConstructorAssumption
    extends MethodAssumption

### Field Summary

### Fields inherited from class de.dhbwstuttgart.typeinference.assumptions.MethodAssumption

`method`

### Constructor Summary

Constructors
Constructor and Description
`ConstructorAssumption(Method assumedMethod, Class parentClass)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`Type` `getAssumedType()`
`java.lang.String` `toString()`

### Methods inherited from class de.dhbwstuttgart.typeinference.assumptions.MethodAssumption

`getMethod, getMethodName, getParaCount, getParameterType, getParentClassType`

### Methods inherited from class de.dhbwstuttgart.typeinference.assumptions.FieldAssumption

`getIdentifier, getParentClass`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConstructorAssumption

    public ConstructorAssumption(Method assumedMethod,
                                 Class parentClass)

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `MethodAssumption`

#### getAssumedType

    public Type getAssumedType()

Overrides:
  `getAssumedType` in class `Assumption`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `MethodAssumption`